Subject: Re: [PATCH 0/2] powerpc/pseries: Reworked support for IO event interrupts

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 04 May 2011 14:31:05 +1000

On Wed, 2011-05-04 at 14:28 +1000, Benjamin Herrenschmidt wrote:
> Hi Frank !
> 
> There were several issues with your patch. Some were nasty bugs such
> as kmalloc(...GFP_KERNEL) at interrupt time, or taking the rtas buffer
> lock from an interrupt, others simply the code being ugly.
> 
> I've removed the "generic" event log parsing as it's not useful at
> this point and simplified the code significantly.
> 
> Please test and let me know if it works for you before I commit.

FYI. This isn't even compile tested (oops... my bad). It shows you want
I want, feel free to tweak a bit if needed and hopefully we should have
something mergeable.

Also, get rid of your habit of naming pointers something_p, I find it
annoying and waste time removing the _p's

Cheers,
Ben.